Module
Contents
Index 🔎︎

## WEEKNUM_OOO

WEEKNUM_OOO calculates the week number of the year for the internal date value.

This function exists for interoperability with LibreOffice releases older than 5.1.0 and OpenOffice.org. It calculates week numbers for a week numbering system in that week number 1 is the week that contains the January 4th. This function does not provide interoperability with other spreadsheet applications. For new documents use the WEEKNUM or ISOWEEKNUM function instead.

### Syntax

WEEKNUM_OOO(Number; Mode)

Number is the internal date number.

Mode sets the start of the week and the calculation type.

1 = Sunday

2 = Monday (ISO 8601)

any other value = Monday (ISO 8601)

### Primjeri

=WEEKNUM_OOO(DATE(1995;1;1);1) returns 1

=WEEKNUM_OOO(DATE(1995;1;1);2) returns 52. Week 1 starts on Monday, 1995-01-02.